com.collabnet.ce.soap60.webservices.rbac

## Class RoleSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.rbac.RoleSoapDO

-     public class RoleSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  RoleSoapDO class represents the data associated with a Role in Role Based Access Control as used in the webservices API.
  Change History
  Release: 6.1
  - Renamed the field 'projectId' as 'createdInProjectId'.
  - Added type of the role.
  - Added flag for prevent inheritance property of the role.
  - Added requestable flag for the role.
  - Added status of the role.
  - Added constants for status of the role.
  Since:
    4.1-HOTFIX4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STATUS_ACTIVE`
    `static String` | `STATUS_USER_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCreatedInProjectId()` Returns 'createdInProjectId'.
    `String` | `getDescription()` Returns 'description'.
    `boolean` | `getPreventInheritance()` Returns 'preventInheritance'.
    `boolean` | `getRequestable()` Returns 'requestable'.
    `String` | `getRoleType()` Returns 'roleType'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCreatedInProjectId(String createdInProjectId)` Sets 'createdInProjectId'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setPreventInheritance(boolean preventInheritance)` Sets 'preventInheritance'.
    `void` | `setRequestable(boolean requestable)` Sets 'requestable'.
    `void` | `setRoleType(String roleType)` Sets 'roleType'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final String STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_USER_CLASS

          public static final String STATUS_USER_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RoleSoapDO

          public RoleSoapDO()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the role, must be unique in a project.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the role, must be unique in a project.
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. A verbose description of the role.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. A verbose description of the role.
      Parameters:
        `description` - Value of 'description'.

    - #### getCreatedInProjectId

          public String getCreatedInProjectId()

      Returns 'createdInProjectId'. The project that this role was created in.
      Returns:
        Value of 'createdInProjectId'.

    - #### setCreatedInProjectId

          public void setCreatedInProjectId(String createdInProjectId)

      Sets 'createdInProjectId'. The project that this role was created in.
      Parameters:
        `createdInProjectId` - Value of 'createdInProjectId'.

    - #### getRoleType

          public String getRoleType()

      Returns 'roleType'. The type of the role, can be "Project", "Site" or "Global".
      Returns:
        Value of 'roleType'.

    - #### setRoleType

          public void setRoleType(String roleType)

      Sets 'roleType'. The type of the role, can be "Project", "Site" or "Global".
      Parameters:
        `roleType` - Value of 'roleType'.

    - #### getPreventInheritance

          public boolean getPreventInheritance()

      Returns 'preventInheritance'. Whether the role's permission is prevented from applying to private subprojects.
      Returns:
        Value of 'preventInheritance'.

    - #### setPreventInheritance

          public void setPreventInheritance(boolean preventInheritance)

      Sets 'preventInheritance'. Whether the role's permission is prevented from applying to private subprojects.
      Parameters:
        `preventInheritance` - Value of 'preventInheritance'.

    - #### getRequestable

          public boolean getRequestable()

      Returns 'requestable'. Flag that indicates if the role can be requested to be granted
      Returns:
        Value of 'requestable'.

    - #### setRequestable

          public void setRequestable(boolean requestable)

      Sets 'requestable'. Flag that indicates if the role can be requested to be granted
      Parameters:
        `requestable` - Value of 'requestable'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The status of the role, "A"ctive or "U"ser class
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The status of the role, "A"ctive or "U"ser class
      Parameters:
        `status` - Value of 'status'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.